View Issue Details

IDProjectCategoryView StatusLast Update
0015994MediaMonkey 5Properties/Auto-Toolspublic2019-12-03 11:11
Reporterrusty 
PriorityurgentSeverityminorReproducibilityalways
Status feedbackResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0015994: Auto-tag: failure to recommend the original album vs compilation in some cases
DescriptionFor Keep Holding On by Avril Lavigne: MM recommends the album 'Songs I want to keep forever Volume I' instead of 'The best damn thing'.

Both albums are from 2007, but MusicBrainz in this case has 'Songs I want to keep forever' tagged as an 'album' rather than as a 'compilation', so I guess that's why MediaMonkey recommended it (MM normally recommends Albums preferentially over compilations). If this is the problem, I'd suggest that if an album contains 'various' then MM should treat it as a compilation even if it isn't tagged as such.
TagsNo tags attached.
Fixed in build2203

Relationships

related to 0015987 closedpetr Auto-tag: sometimes doesn't recommend the oldest instance of an album 
related to 0015996 assignedpetr Auto Tag: Fails in cases where Albums are already tagged corectly 

Activities

peke

2019-09-26 20:00

developer  

bug15994.jpg (87,244 bytes)
bug15994.jpg (87,244 bytes)

petr

2019-10-02 10:54

developer   ~0054914

Fixed

rusty

2019-10-03 21:28

administrator   ~0054927

Verified 2203.

rusty

2019-12-02 01:31

administrator   ~0055571

In 2217, this issue is occurring with several tracks by Paul McCartney/Winngs (uploaded re. bug 0016155).

For example: Band on the Run and Jet are all found on 'All the Best' (compilation) rather than on their original album 'Band on the Run'. I suspect that this is related to the fact that auto-tag doesn't check for the tracks under 'Wings' or 'Paul McCartney & Wings'.
btw, it's at: https://musicbrainz.org/release/31b82de4-8696-4003-a6bb-667a109fcda0

petr

2019-12-03 09:29

developer   ~0055588

Here's another room for improvements of search engine running on MB server. It is exactly as you wrote.